Update team member role
curl --request POST \
--url https://faisalshop.mvp-apps.ae/api/v2/admin/team-members/{tenantId}/{userId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{}'import requests
url = "https://faisalshop.mvp-apps.ae/api/v2/admin/team-members/{tenantId}/{userId}"
payload = {}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({})
};
fetch('https://faisalshop.mvp-apps.ae/api/v2/admin/team-members/{tenantId}/{userId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
Team Members
Update Team Member Role
POST
/
api
/
v2
/
admin
/
team-members
/
{tenantId}
/
{userId}
Update team member role
Overview
Update a team member’s role within a tenant. This allows you to promote members to admins or demote admins to members.Authorization
- User must be authenticated with a valid Bearer token
- User must have ADMIN role in the specified tenant
Validation Rules
role: Required, must be either “ADMIN” or “MEMBER”
Example Usage
curl -X POST \
https://faisalshop.mvp-apps.ae/api/v2/admin/team-members/1/5 \
-H 'Authorization: Bearer YOUR_TOKEN' \
-H 'Content-Type: application/json' \
-d '{
"role": "ADMIN"
}'
await axios.post(
`/api/v2/admin/team-members/${tenantId}/${userId}`,
{ role: 'ADMIN' },
{
headers: { Authorization: `Bearer ${token}` }
}
);
Error Responses
User Not Found (404)
{
"error": "User not found"
}
Not a Member (400)
{
"error": "User is not a member of this Organization"
}
Validation Error (422)
{
"message": "The role field is required.",
"errors": {
"role": ["The role field is required."]
}
}
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Available options:
ADMIN, MEMBER Response
200
Role updated
⌘I